# $Id: smeserver-mod_dav.spec,v 1.3 2014/06/10 22:20:57 stephdl Exp $
# Authority: snetram
# Name: Jonathan Martens

%define name smeserver-mod_dav
%define version 1.1
%define release 2

Summary: SME Server mod_dav implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.xz
Patch0: smeserver-mod_dav-1.1_add_AuthBasicProvider_external.patch
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: smeserver-release >= 9
Requires: httpd >= 2
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Implementation of mod_dav for SME Server 7.

%changelog
* Tue Jun 10 2014 stephane de Labrusse <stephdl@de-labrusse.fr> - 1.1-2.sme
- added new way to authenticate to apache [sme:8340]

* Wed Nov 13 2013 Daniel Berteaud <daniel@firewall-services.com> 1.1-1.sme
- Rebuild for SME9

* Mon May 28 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-1.sme
- Initial version

%prep
%setup
%patch0 -p1

%build

%install
rm -rf %buildroot
(cd root ; find . -depth -print | cpio -dump %buildroot)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist %buildroot \
    --dir /var/run/davLocks 'attr(0755,www,www)' \
    > %{name}-%{version}-filelist

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
